Index: DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Simulation.txt	(revision 491)
+++ DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Simulation.txt	(revision 538)
@@ -6,5 +6,5 @@
 Resources total load;0.49;0;0;0.49;0.49;0.49;1;
 Resources reservation load;?;?;?;?;?;?;0;
-Energy usage;0;0;0;0;0;0;1;
+Energy usage;?;?;?;?;?;?;0;
 Task completion time;24,923.077;19,435.976;377,757,159.763;7,200;57,600;324,000;13;
 Task execution time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;
Index: DCWoRMS/trunk/example/experiment1_result/experiment.properties
===================================================================
--- DCWoRMS/trunk/example/experiment1_result/experiment.properties	(revision 510)
+++ DCWoRMS/trunk/example/experiment1_result/experiment.properties	(revision 538)
@@ -11,9 +11,16 @@
 stats.outputfolder=../experiment1_result
 
+# Define the type and content of charts to generate
 
+# Gantt chart
 creatediagrams.gantt=true
+
+# Shows the execution times of tasks
 creatediagrams.tasks=true
+
+# Shows the waiting times of tasks
 creatediagrams.taskswaitingtime=true
 
+# Resource utilization chart - only for processors
 creatediagrams.resutilization=Processor
 
Index: DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Simulation.txt	(revision 491)
+++ DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Simulation.txt	(revision 538)
@@ -6,5 +6,5 @@
 Resources total load;0.085;0;0;0.085;0.085;0.085;1;
 Resources reservation load;?;?;?;?;?;?;0;
-Energy usage;0;0;0;0;0;0;1;
+Energy usage;?;?;?;?;?;?;0;
 Task completion time;18,692.308;16,444.895;270,434,556.213;5,400;52,200;243,000;13;
 Task execution time;8,169.231;2,605.138;6,786,745.562;5,400;14,400;106,200;13;
Index: DCWoRMS/trunk/example/experiment2_result/experiment.properties
===================================================================
--- DCWoRMS/trunk/example/experiment2_result/experiment.properties	(revision 510)
+++ DCWoRMS/trunk/example/experiment2_result/experiment.properties	(revision 538)
@@ -11,5 +11,9 @@
 stats.outputfolder=../experiment2_result
 
+# Define the type and content of charts to generate
 
+# Gantt chart
 creatediagrams.gantt=true
+
+# Resource utilization chart - for processors and computing nodes
 creatediagrams.resutilization=ComputingNode;Processor
Index: DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Simulation.txt	(revision 510)
+++ DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Simulation.txt	(revision 538)
@@ -6,5 +6,5 @@
 Resources total load;0.184;0;0;0.184;0.184;0.184;1;
 Resources reservation load;?;?;?;?;?;?;0;
-Energy usage;942.5;710.616;504,975;0;1,550;4,712.5;5;
+Energy usage;1,484.688;14.317;204.98;1,470;1,505;5,938.75;4;
 Task completion time;23,538.462;19,546.14;382,051,597.633;7,200;57,600;306,000;13;
 Task execution time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;
Index: DCWoRMS/trunk/example/experiment3_result/experiment.properties
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/experiment.properties	(revision 510)
+++ DCWoRMS/trunk/example/experiment3_result/experiment.properties	(revision 538)
@@ -11,5 +11,9 @@
 stats.outputfolder=../experiment3_result
 
+# Define the type and content of charts to generate
 
+# Gantt chart
 creatediagrams.gantt=true
+
+# Power usage chart - for computing nodes and processors
 creatediagrams.respowerusage=ComputingNode;Processor
Index: DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_EnergyUsage.txt
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_EnergyUsage.txt	(revision 510)
+++ DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_EnergyUsage.txt	(revision 538)
@@ -3,82 +3,112 @@
 
 ComputingNode_0;1225666800000;1,550;
-ComputingNode_0;1225724400000;1,550;
-mean: 1550.0 sum: 24800.0
+ComputingNode_0;1225674000000;1,470;
+ComputingNode_0;1225688400000;1,490;
+ComputingNode_0;1225692000000;1,510;
+ComputingNode_0;1225706400000;1,530;
+ComputingNode_0;1225710000000;1,510;
+ComputingNode_0;1225713600000;1,530;
+ComputingNode_0;1225717200000;1,510;
+ComputingNode_0;1225720800000;1,490;
+ComputingNode_0;1225724400000;1,470;
+mean: 1505.0 sum: 24080.0
 
 ComputingNode_1;1225666800000;1,550;
-ComputingNode_1;1225724400000;1,550;
-mean: 1550.0 sum: 24800.0
+ComputingNode_1;1225674000000;1,530;
+ComputingNode_1;1225677600000;1,510;
+ComputingNode_1;1225681200000;1,490;
+ComputingNode_1;1225695600000;1,470;
+ComputingNode_1;1225724400000;1,470;
+mean: 1491.25 sum: 23860.0
 
-ComputingNode_2;1225666800000;150;
-ComputingNode_2;1225670400000;1,550;
-ComputingNode_2;1225724400000;1,550;
-mean: 1462.5 sum: 23400.0
+ComputingNode_2;1225666800000;1,470;
+ComputingNode_2;1225670400000;1,490;
+ComputingNode_2;1225677600000;1,470;
+ComputingNode_2;1225724400000;1,470;
+mean: 1472.5 sum: 23560.0
 
-ComputingNode_3;1225666800000;150;
-ComputingNode_3;1225724400000;150;
-mean: 150.0 sum: 2400.0
+ComputingNode_3;1225666800000;1,470;
+ComputingNode_3;1225724400000;1,470;
+mean: 1470.0 sum: 23520.0
 
 Processor_0;1225666800000;350;
-Processor_0;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_0;1225674000000;330;
+Processor_0;1225688400000;350;
+Processor_0;1225710000000;330;
+Processor_0;1225713600000;350;
+Processor_0;1225724400000;330;
+mean: 343.75 sum: 5500.0
 
 Processor_1;1225666800000;350;
-Processor_1;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_1;1225674000000;330;
+Processor_1;1225692000000;350;
+Processor_1;1225717200000;330;
+Processor_1;1225724400000;330;
+mean: 341.25 sum: 5460.0
 
 Processor_2;1225666800000;350;
-Processor_2;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_2;1225674000000;330;
+Processor_2;1225706400000;350;
+Processor_2;1225720800000;330;
+Processor_2;1225724400000;330;
+mean: 337.5 sum: 5400.0
 
 Processor_3;1225666800000;350;
-Processor_3;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_3;1225674000000;330;
+Processor_3;1225724400000;330;
+mean: 332.5 sum: 5320.0
 
 Processor_4;1225666800000;350;
-Processor_4;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_4;1225674000000;330;
+Processor_4;1225724400000;330;
+mean: 332.5 sum: 5320.0
 
 Processor_5;1225666800000;350;
-Processor_5;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_5;1225677600000;330;
+Processor_5;1225724400000;330;
+mean: 333.75 sum: 5340.0
 
 Processor_6;1225666800000;350;
-Processor_6;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_6;1225681200000;330;
+Processor_6;1225724400000;330;
+mean: 335.0 sum: 5360.0
 
 Processor_7;1225666800000;350;
-Processor_7;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_7;1225695600000;330;
+Processor_7;1225724400000;330;
+mean: 340.0 sum: 5440.0
 
-Processor_8;1225666800000;350;
-Processor_8;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_8;1225666800000;330;
+Processor_8;1225670400000;350;
+Processor_8;1225677600000;330;
+Processor_8;1225724400000;330;
+mean: 332.5 sum: 5320.0
 
-Processor_9;1225666800000;350;
-Processor_9;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_9;1225666800000;330;
+Processor_9;1225724400000;330;
+mean: 330.0 sum: 5280.0
 
-Processor_10;1225666800000;350;
-Processor_10;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_10;1225666800000;330;
+Processor_10;1225724400000;330;
+mean: 330.0 sum: 5280.0
 
-Processor_11;1225666800000;350;
-Processor_11;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_11;1225666800000;330;
+Processor_11;1225724400000;330;
+mean: 330.0 sum: 5280.0
 
-Processor_12;1225666800000;350;
-Processor_12;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_12;1225666800000;330;
+Processor_12;1225724400000;330;
+mean: 330.0 sum: 5280.0
 
-Processor_13;1225666800000;350;
-Processor_13;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_13;1225666800000;330;
+Processor_13;1225724400000;330;
+mean: 330.0 sum: 5280.0
 
-Processor_14;1225666800000;350;
-Processor_14;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_14;1225666800000;330;
+Processor_14;1225724400000;330;
+mean: 330.0 sum: 5280.0
 
-Processor_15;1225666800000;350;
-Processor_15;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_15;1225666800000;330;
+Processor_15;1225724400000;330;
+mean: 330.0 sum: 5280.0
 
Index: DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Simulation.txt	(revision 508)
+++ DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Simulation.txt	(revision 538)
@@ -6,5 +6,5 @@
 Resources total load;0.184;0;0;0.184;0.184;0.184;1;
 Resources reservation load;?;?;?;?;?;?;0;
-Energy usage;190;283.576;80,415.625;0;750;950;5;
+Energy usage;237.5;298.728;89,238.281;0;750;950;4;
 Task completion time;23,538.462;19,546.14;382,051,597.633;7,200;57,600;306,000;13;
 Task execution time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;
Index: DCWoRMS/trunk/example/experiment4_result/experiment.properties
===================================================================
--- DCWoRMS/trunk/example/experiment4_result/experiment.properties	(revision 508)
+++ DCWoRMS/trunk/example/experiment4_result/experiment.properties	(revision 538)
@@ -4,16 +4,16 @@
 resdesc=example/experiment4/resources4.xml
 
-
 # and swf file, which name is declared by readscenario.workloadfilename parameter.
 # Swf file must be placed in readscenario.inputfolder directory.  
 readscenario.workloadfilename=example/experiment4/workload.swf
 
-# Choose if files with task processing history should be created.  
-printhistory=true
-
 # Choose directory where all result files should be placed.
 stats.outputfolder=../experiment4_result
 
+# Define the type and content of charts to generate
 
+# Gantt chart
 creatediagrams.gantt=true
+
+# Power usage chart - for computing nodes only
 creatediagrams.respowerusage=ComputingNode