Index: DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Simulation.txt	(revision 538)
+++ DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Simulation.txt	(revision 545)
@@ -5,5 +5,4 @@
 Resources queue length;1;0;0;1;1;1;1;
 Resources total load;0.49;0;0;0.49;0.49;0.49;1;
-Resources reservation load;?;?;?;?;?;?;0;
 Energy usage;?;?;?;?;?;?;0;
 Task completion time;24,923.077;19,435.976;377,757,159.763;7,200;57,600;324,000;13;
@@ -11,5 +10,5 @@
 Task start time;1,384.615;2,656.153;7,055,147.929;0;7,200;18,000;13;
 Task flow time;14,400;8,704.376;75,766,153.846;7,200;36,000;187,200;13;
-Task waiting time;11,907.692;15,621.015;244,016,094.675;0;46,800;154,800;13;
+Task waiting time;1,384.615;2,656.153;7,055,147.929;0;7,200;18,000;13;
 Task lateness;0;0;0;0;0;0;13;
 Task tardiness;0;0;0;0;0;0;13;
Index: DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Tasks.txt	(revision 481)
+++ DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Tasks.txt	(revision 545)
@@ -8,7 +8,7 @@
 7;7;-1;ManagementSystem@cluster;1;1225674000;1225688400;1225688400;1225666800;1225666800;21600;7200;14400;0;7200;21600;7200;0;0;0;0;0;[Processor_0];
 8;8;-1;ManagementSystem@cluster;1;1225674000;1225702800;1225702800;1225666800;1225666800;36000;7200;28800;0;7200;36000;7200;0;0;0;0;0;[Processor_1];
-9;9;-1;ManagementSystem@cluster;1;1225674000;1225681200;1225681200;1225670400;1225666800;14400;7200;7200;3600;3600;10800;7200;-3600;0;0;0;0;[Processor_2];
-10;10;-1;ManagementSystem@cluster;1;1225688400;1225710000;1225710000;1225688400;1225666800;43200;21600;21600;21600;0;21600;21600;-21600;0;0;0;0;[Processor_0];
-11;11;-1;ManagementSystem@cluster;1;1225692000;1225717200;1225717200;1225692000;1225666800;50400;25200;25200;25200;0;25200;25200;-25200;0;0;0;0;[Processor_2];
-12;12;-1;ManagementSystem@cluster;1;1225706400;1225720800;1225720800;1225706400;1225666800;54000;39600;14400;39600;0;14400;39600;-39600;0;0;0;0;[Processor_1];
-13;13;-1;ManagementSystem@cluster;1;1225713600;1225724400;1225724400;1225713600;1225666800;57600;46800;10800;46800;0;10800;46800;-46800;0;0;0;0;[Processor_0];
+9;9;-1;ManagementSystem@cluster;1;1225674000;1225681200;1225681200;1225670400;1225670400;14400;7200;7200;3600;3600;10800;3600;0;0;0;0;0;[Processor_2];
+10;10;-1;ManagementSystem@cluster;1;1225688400;1225710000;1225710000;1225688400;1225688400;43200;21600;21600;21600;0;21600;0;0;0;0;0;0;[Processor_0];
+11;11;-1;ManagementSystem@cluster;1;1225692000;1225717200;1225717200;1225692000;1225692000;50400;25200;25200;25200;0;25200;0;0;0;0;0;0;[Processor_2];
+12;12;-1;ManagementSystem@cluster;1;1225706400;1225720800;1225720800;1225706400;1225706400;54000;39600;14400;39600;0;14400;0;0;0;0;0;0;[Processor_1];
+13;13;-1;ManagementSystem@cluster;1;1225713600;1225724400;1225724400;1225713600;1225713600;57600;46800;10800;46800;0;10800;0;0;0;0;0;0;[Processor_0];
Index: DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Jobs.txt
===================================================================
--- DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Jobs.txt	(revision 481)
+++ DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Jobs.txt	(revision 545)
@@ -8,7 +8,7 @@
 7;21,600;14,400;7,200;21,600;7,200;0;0;0;21,600;
 8;36,000;28,800;7,200;36,000;7,200;0;0;0;36,000;
-9;14,400;7,200;3,600;10,800;7,200;-3,600;0;0;14,400;
-10;43,200;21,600;0;21,600;21,600;-21,600;0;0;43,200;
-11;50,400;25,200;0;25,200;25,200;-25,200;0;0;50,400;
-12;54,000;14,400;0;14,400;39,600;-39,600;0;0;54,000;
-13;57,600;10,800;0;10,800;46,800;-46,800;0;0;57,600;
+9;14,400;7,200;3,600;10,800;3,600;0;0;0;14,400;
+10;43,200;21,600;0;21,600;0;0;0;0;43,200;
+11;50,400;25,200;0;25,200;0;0;0;0;50,400;
+12;54,000;14,400;0;14,400;0;0;0;0;54,000;
+13;57,600;10,800;0;10,800;0;0;0;0;57,600;
Index: DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_EnergyUsage.txt
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_EnergyUsage.txt	(revision 538)
+++ DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_EnergyUsage.txt	(revision 545)
@@ -3,112 +3,81 @@
 
 ComputingNode_0;1225666800000;1,550;
-ComputingNode_0;1225674000000;1,470;
-ComputingNode_0;1225688400000;1,490;
-ComputingNode_0;1225692000000;1,510;
-ComputingNode_0;1225706400000;1,530;
-ComputingNode_0;1225710000000;1,510;
-ComputingNode_0;1225713600000;1,530;
-ComputingNode_0;1225717200000;1,510;
-ComputingNode_0;1225720800000;1,490;
-ComputingNode_0;1225724400000;1,470;
-mean: 1505.0 sum: 24080.0
+ComputingNode_0;1225724400000;1,550;
+mean: 1550.0 sum: 24800.0
 
 ComputingNode_1;1225666800000;1,550;
-ComputingNode_1;1225674000000;1,530;
-ComputingNode_1;1225677600000;1,510;
-ComputingNode_1;1225681200000;1,490;
-ComputingNode_1;1225695600000;1,470;
-ComputingNode_1;1225724400000;1,470;
-mean: 1491.25 sum: 23860.0
+ComputingNode_1;1225724400000;1,550;
+mean: 1550.0 sum: 24800.0
 
-ComputingNode_2;1225666800000;1,470;
-ComputingNode_2;1225670400000;1,490;
-ComputingNode_2;1225677600000;1,470;
-ComputingNode_2;1225724400000;1,470;
-mean: 1472.5 sum: 23560.0
+ComputingNode_2;1225666800000;1,550;
+ComputingNode_2;1225724400000;1,550;
+mean: 1550.0 sum: 24800.0
 
-ComputingNode_3;1225666800000;1,470;
-ComputingNode_3;1225724400000;1,470;
-mean: 1470.0 sum: 23520.0
+ComputingNode_3;1225666800000;1,550;
+ComputingNode_3;1225724400000;1,550;
+mean: 1550.0 sum: 24800.0
 
 Processor_0;1225666800000;350;
-Processor_0;1225674000000;330;
-Processor_0;1225688400000;350;
-Processor_0;1225710000000;330;
-Processor_0;1225713600000;350;
-Processor_0;1225724400000;330;
-mean: 343.75 sum: 5500.0
+Processor_0;1225724400000;350;
+mean: 350.0 sum: 5600.0
 
 Processor_1;1225666800000;350;
-Processor_1;1225674000000;330;
-Processor_1;1225692000000;350;
-Processor_1;1225717200000;330;
-Processor_1;1225724400000;330;
-mean: 341.25 sum: 5460.0
+Processor_1;1225724400000;350;
+mean: 350.0 sum: 5600.0
 
 Processor_2;1225666800000;350;
-Processor_2;1225674000000;330;
-Processor_2;1225706400000;350;
-Processor_2;1225720800000;330;
-Processor_2;1225724400000;330;
-mean: 337.5 sum: 5400.0
+Processor_2;1225724400000;350;
+mean: 350.0 sum: 5600.0
 
 Processor_3;1225666800000;350;
-Processor_3;1225674000000;330;
-Processor_3;1225724400000;330;
-mean: 332.5 sum: 5320.0
+Processor_3;1225724400000;350;
+mean: 350.0 sum: 5600.0
 
 Processor_4;1225666800000;350;
-Processor_4;1225674000000;330;
-Processor_4;1225724400000;330;
-mean: 332.5 sum: 5320.0
+Processor_4;1225724400000;350;
+mean: 350.0 sum: 5600.0
 
 Processor_5;1225666800000;350;
-Processor_5;1225677600000;330;
-Processor_5;1225724400000;330;
-mean: 333.75 sum: 5340.0
+Processor_5;1225724400000;350;
+mean: 350.0 sum: 5600.0
 
 Processor_6;1225666800000;350;
-Processor_6;1225681200000;330;
-Processor_6;1225724400000;330;
-mean: 335.0 sum: 5360.0
+Processor_6;1225724400000;350;
+mean: 350.0 sum: 5600.0
 
 Processor_7;1225666800000;350;
-Processor_7;1225695600000;330;
-Processor_7;1225724400000;330;
-mean: 340.0 sum: 5440.0
+Processor_7;1225724400000;350;
+mean: 350.0 sum: 5600.0
 
-Processor_8;1225666800000;330;
-Processor_8;1225670400000;350;
-Processor_8;1225677600000;330;
-Processor_8;1225724400000;330;
-mean: 332.5 sum: 5320.0
+Processor_8;1225666800000;350;
+Processor_8;1225724400000;350;
+mean: 350.0 sum: 5600.0
 
-Processor_9;1225666800000;330;
-Processor_9;1225724400000;330;
-mean: 330.0 sum: 5280.0
+Processor_9;1225666800000;350;
+Processor_9;1225724400000;350;
+mean: 350.0 sum: 5600.0
 
-Processor_10;1225666800000;330;
-Processor_10;1225724400000;330;
-mean: 330.0 sum: 5280.0
+Processor_10;1225666800000;350;
+Processor_10;1225724400000;350;
+mean: 350.0 sum: 5600.0
 
-Processor_11;1225666800000;330;
-Processor_11;1225724400000;330;
-mean: 330.0 sum: 5280.0
+Processor_11;1225666800000;350;
+Processor_11;1225724400000;350;
+mean: 350.0 sum: 5600.0
 
-Processor_12;1225666800000;330;
-Processor_12;1225724400000;330;
-mean: 330.0 sum: 5280.0
+Processor_12;1225666800000;350;
+Processor_12;1225724400000;350;
+mean: 350.0 sum: 5600.0
 
-Processor_13;1225666800000;330;
-Processor_13;1225724400000;330;
-mean: 330.0 sum: 5280.0
+Processor_13;1225666800000;350;
+Processor_13;1225724400000;350;
+mean: 350.0 sum: 5600.0
 
-Processor_14;1225666800000;330;
-Processor_14;1225724400000;330;
-mean: 330.0 sum: 5280.0
+Processor_14;1225666800000;350;
+Processor_14;1225724400000;350;
+mean: 350.0 sum: 5600.0
 
-Processor_15;1225666800000;330;
-Processor_15;1225724400000;330;
-mean: 330.0 sum: 5280.0
+Processor_15;1225666800000;350;
+Processor_15;1225724400000;350;
+mean: 350.0 sum: 5600.0
 
Index: DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Simulation.txt	(revision 538)
+++ DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Simulation.txt	(revision 545)
@@ -5,11 +5,10 @@
 Resources queue length;0.812;0;0;0.812;0.812;0.812;1;
 Resources total load;0.184;0;0;0.184;0.184;0.184;1;
-Resources reservation load;?;?;?;?;?;?;0;
-Energy usage;1,484.688;14.317;204.98;1,470;1,505;5,938.75;4;
+Energy usage;24,800;0;0;24,800;24,800;99,200;4;
 Task completion time;23,538.462;19,546.14;382,051,597.633;7,200;57,600;306,000;13;
 Task execution time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;
 Task start time;0;0;0;0;0;0;13;
 Task flow time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;
-Task waiting time;10,523.077;16,251.398;264,107,928.994;0;46,800;136,800;13;
+Task waiting time;0;0;0;0;0;0;13;
 Task lateness;0;0;0;0;0;0;13;
 Task tardiness;0;0;0;0;0;0;13;
Index: DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Tasks.txt	(revision 481)
+++ DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Tasks.txt	(revision 545)
@@ -8,7 +8,7 @@
 7;7;-1;ManagementSystem@cluster;1;1225666800;1225681200;1225681200;1225666800;1225666800;14400;0;14400;0;0;14400;0;0;0;0;0;0;[Processor_6];
 8;8;-1;ManagementSystem@cluster;1;1225666800;1225695600;1225695600;1225666800;1225666800;28800;0;28800;0;0;28800;0;0;0;0;0;0;[Processor_7];
-9;9;-1;ManagementSystem@cluster;1;1225670400;1225677600;1225677600;1225670400;1225666800;10800;3600;7200;3600;0;7200;3600;-3600;0;0;0;0;[Processor_8];
-10;10;-1;ManagementSystem@cluster;1;1225688400;1225710000;1225710000;1225688400;1225666800;43200;21600;21600;21600;0;21600;21600;-21600;0;0;0;0;[Processor_0];
-11;11;-1;ManagementSystem@cluster;1;1225692000;1225717200;1225717200;1225692000;1225666800;50400;25200;25200;25200;0;25200;25200;-25200;0;0;0;0;[Processor_1];
-12;12;-1;ManagementSystem@cluster;1;1225706400;1225720800;1225720800;1225706400;1225666800;54000;39600;14400;39600;0;14400;39600;-39600;0;0;0;0;[Processor_2];
-13;13;-1;ManagementSystem@cluster;1;1225713600;1225724400;1225724400;1225713600;1225666800;57600;46800;10800;46800;0;10800;46800;-46800;0;0;0;0;[Processor_0];
+9;9;-1;ManagementSystem@cluster;1;1225670400;1225677600;1225677600;1225670400;1225670400;10800;3600;7200;3600;0;7200;0;0;0;0;0;0;[Processor_8];
+10;10;-1;ManagementSystem@cluster;1;1225688400;1225710000;1225710000;1225688400;1225688400;43200;21600;21600;21600;0;21600;0;0;0;0;0;0;[Processor_0];
+11;11;-1;ManagementSystem@cluster;1;1225692000;1225717200;1225717200;1225692000;1225692000;50400;25200;25200;25200;0;25200;0;0;0;0;0;0;[Processor_1];
+12;12;-1;ManagementSystem@cluster;1;1225706400;1225720800;1225720800;1225706400;1225706400;54000;39600;14400;39600;0;14400;0;0;0;0;0;0;[Processor_2];
+13;13;-1;ManagementSystem@cluster;1;1225713600;1225724400;1225724400;1225713600;1225713600;57600;46800;10800;46800;0;10800;0;0;0;0;0;0;[Processor_0];
Index: DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Jobs.txt
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Jobs.txt	(revision 481)
+++ DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Jobs.txt	(revision 545)
@@ -8,7 +8,7 @@
 7;14,400;14,400;0;14,400;0;0;0;0;14,400;
 8;28,800;28,800;0;28,800;0;0;0;0;28,800;
-9;10,800;7,200;0;7,200;3,600;-3,600;0;0;10,800;
-10;43,200;21,600;0;21,600;21,600;-21,600;0;0;43,200;
-11;50,400;25,200;0;25,200;25,200;-25,200;0;0;50,400;
-12;54,000;14,400;0;14,400;39,600;-39,600;0;0;54,000;
-13;57,600;10,800;0;10,800;46,800;-46,800;0;0;57,600;
+9;10,800;7,200;0;7,200;0;0;0;0;10,800;
+10;43,200;21,600;0;21,600;0;0;0;0;43,200;
+11;50,400;25,200;0;25,200;0;0;0;0;50,400;
+12;54,000;14,400;0;14,400;0;0;0;0;54,000;
+13;57,600;10,800;0;10,800;0;0;0;0;57,600;