Index: DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Jobs.txt
===================================================================
--- DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Jobs.txt	(revision 508)
+++ DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Jobs.txt	(revision 554)
@@ -8,7 +8,7 @@
 7;14,400;14,400;0;14,400;0;0;0;0;14,400;
 8;28,800;28,800;0;28,800;0;0;0;0;28,800;
-9;10,800;7,200;0;7,200;3,600;-3,600;0;0;10,800;
-10;43,200;21,600;0;21,600;21,600;-21,600;0;0;43,200;
-11;50,400;25,200;0;25,200;25,200;-25,200;0;0;50,400;
-12;54,000;14,400;0;14,400;39,600;-39,600;0;0;54,000;
-13;57,600;10,800;0;10,800;46,800;-46,800;0;0;57,600;
+9;10,800;7,200;0;7,200;0;0;0;0;10,800;
+10;43,200;21,600;0;21,600;0;0;0;0;43,200;
+11;50,400;25,200;0;25,200;0;0;0;0;50,400;
+12;54,000;14,400;0;14,400;0;0;0;0;54,000;
+13;57,600;10,800;0;10,800;0;0;0;0;57,600;
Index: DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Simulation.txt	(revision 538)
+++ DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Simulation.txt	(revision 554)
@@ -5,11 +5,10 @@
 Resources queue length;0.812;0;0;0.812;0.812;0.812;1;
 Resources total load;0.184;0;0;0.184;0.184;0.184;1;
-Resources reservation load;?;?;?;?;?;?;0;
-Energy usage;237.5;298.728;89,238.281;0;750;950;4;
+Energy usage;3,800;4,779.644;22,845,000;0;12,000;15,200;4;
 Task completion time;23,538.462;19,546.14;382,051,597.633;7,200;57,600;306,000;13;
 Task execution time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;
 Task start time;0;0;0;0;0;0;13;
 Task flow time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;
-Task waiting time;10,523.077;16,251.398;264,107,928.994;0;46,800;136,800;13;
+Task waiting time;0;0;0;0;0;0;13;
 Task lateness;0;0;0;0;0;0;13;
 Task tardiness;0;0;0;0;0;0;13;
Index: DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Tasks.txt	(revision 508)
+++ DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Tasks.txt	(revision 554)
@@ -8,7 +8,7 @@
 7;7;-1;ManagementSystem@cluster;1;1225666800;1225681200;1225681200;1225666800;1225666800;14400;0;14400;0;0;14400;0;0;0;0;0;0;[Processor_6];
 8;8;-1;ManagementSystem@cluster;1;1225666800;1225695600;1225695600;1225666800;1225666800;28800;0;28800;0;0;28800;0;0;0;0;0;0;[Processor_7];
-9;9;-1;ManagementSystem@cluster;1;1225670400;1225677600;1225677600;1225670400;1225666800;10800;3600;7200;3600;0;7200;3600;-3600;0;0;0;0;[Processor_8];
-10;10;-1;ManagementSystem@cluster;1;1225688400;1225710000;1225710000;1225688400;1225666800;43200;21600;21600;21600;0;21600;21600;-21600;0;0;0;0;[Processor_4];
-11;11;-1;ManagementSystem@cluster;1;1225692000;1225717200;1225717200;1225692000;1225666800;50400;25200;25200;25200;0;25200;25200;-25200;0;0;0;0;[Processor_5];
-12;12;-1;ManagementSystem@cluster;1;1225706400;1225720800;1225720800;1225706400;1225666800;54000;39600;14400;39600;0;14400;39600;-39600;0;0;0;0;[Processor_6];
-13;13;-1;ManagementSystem@cluster;1;1225713600;1225724400;1225724400;1225713600;1225666800;57600;46800;10800;46800;0;10800;46800;-46800;0;0;0;0;[Processor_4];
+9;9;-1;ManagementSystem@cluster;1;1225670400;1225677600;1225677600;1225670400;1225670400;10800;3600;7200;3600;0;7200;0;0;0;0;0;0;[Processor_8];
+10;10;-1;ManagementSystem@cluster;1;1225688400;1225710000;1225710000;1225688400;1225688400;43200;21600;21600;21600;0;21600;0;0;0;0;0;0;[Processor_4];
+11;11;-1;ManagementSystem@cluster;1;1225692000;1225717200;1225717200;1225692000;1225692000;50400;25200;25200;25200;0;25200;0;0;0;0;0;0;[Processor_5];
+12;12;-1;ManagementSystem@cluster;1;1225706400;1225720800;1225720800;1225706400;1225706400;54000;39600;14400;39600;0;14400;0;0;0;0;0;0;[Processor_6];
+13;13;-1;ManagementSystem@cluster;1;1225713600;1225724400;1225724400;1225713600;1225713600;57600;46800;10800;46800;0;10800;0;0;0;0;0;0;[Processor_4];