Index: /DCWoRMS/trunk/src/example/localplugin/BaseLocalSchedulingPlugin.java
===================================================================
--- /DCWoRMS/trunk/src/example/localplugin/BaseLocalSchedulingPlugin.java	(revision 516)
+++ /DCWoRMS/trunk/src/example/localplugin/BaseLocalSchedulingPlugin.java	(revision 555)
@@ -1,4 +1,5 @@
 package example.localplugin;
 
+import java.util.HashMap;
 import java.util.Map;
 
@@ -64,5 +65,5 @@
 		Allocation allocation = new Allocation();
 		allocation.setProcessesCount(1);
-		allocation.setSpecificResources(choosenResources);
+		allocation.setRequestedResources(choosenResources);
 		
 		ScheduledTask scheduledTask = new ScheduledTask(task);
@@ -79,4 +80,5 @@
 		allocation.setProcessesCount(1);
 		allocation.setProviderName(providerName);
+		allocation.setRequestedResources(new HashMap<ResourceUnitName, ResourceUnit>());
 		
 		ScheduledTask scheduledTask = new ScheduledTask(task);
@@ -93,4 +95,5 @@
 		allocation.setProcessesCount(1);
 		allocation.setProviderName(null);
+		allocation.setRequestedResources(new HashMap<ResourceUnitName, ResourceUnit>());
 		
 		ScheduledTask scheduledTask = new ScheduledTask(task);
Index: /DCWoRMS/trunk/src/schedframe/scheduling/plan/impl/Allocation.java
===================================================================
--- /DCWoRMS/trunk/src/schedframe/scheduling/plan/impl/Allocation.java	(revision 477)
+++ /DCWoRMS/trunk/src/schedframe/scheduling/plan/impl/Allocation.java	(revision 555)
@@ -141,16 +141,19 @@
 
 	protected Map<ResourceUnitName, ResourceUnit> requestedResources;
-	protected boolean isProcessing = false;
+	//protected boolean isProcessing = false;
 	protected String providerName;
 
 	@Override
-	public void setSpecificResources(
+	public void setRequestedResources(
 			Map<ResourceUnitName, ResourceUnit> choosenResources) {
 		requestedResources = choosenResources;
-		ResourceManagerUtils.setPendingResources(choosenResources);
-		ProcessingElements processingElements = (ProcessingElements)requestedResources.get(StandardResourceUnitName.PE);
-		if(processingElements != null){
-			isProcessing = true;
-		}	
+		if(choosenResources != null){
+			ResourceManagerUtils.setPendingResources(choosenResources);
+			/*ProcessingElements processingElements = (ProcessingElements)requestedResources.get(StandardResourceUnitName.PE);
+			if(processingElements != null){
+				isProcessing = true;
+			}	*/
+		}
+
 	}
 
@@ -160,7 +163,7 @@
 	}
 
-	public boolean isProcessing(){
+	/*public boolean isProcessing(){
 		return isProcessing;
-	}
+	}*/
 
 	@Override
Index: /DCWoRMS/trunk/src/schedframe/scheduling/plan/AllocationInterface.java
===================================================================
--- /DCWoRMS/trunk/src/schedframe/scheduling/plan/AllocationInterface.java	(revision 477)
+++ /DCWoRMS/trunk/src/schedframe/scheduling/plan/AllocationInterface.java	(revision 555)
@@ -111,5 +111,5 @@
 	public <ProviderInfo> void setProviderInfo(ProviderInfoInterface<ProviderInfo> providerInfo);
 	
-	public void setSpecificResources(Map<ResourceUnitName, ResourceUnit> choosenResources);
+	public void setRequestedResources(Map<ResourceUnitName, ResourceUnit> choosenResources);
 	
 	public Map<ResourceUnitName, ResourceUnit> getRequestedResources();
@@ -119,4 +119,4 @@
 	public String getProviderName();
 	
-	public boolean isProcessing();
+	//public boolean isProcessing();
 }
Index: /DCWoRMS/trunk/src/schedframe/scheduling/policy/local/LocalManagementSystem.java
===================================================================
--- /DCWoRMS/trunk/src/schedframe/scheduling/policy/local/LocalManagementSystem.java	(revision 497)
+++ /DCWoRMS/trunk/src/schedframe/scheduling/policy/local/LocalManagementSystem.java	(revision 555)
@@ -198,5 +198,5 @@
 
 				AllocationInterface<?> allocation = allocations.get(j);
-				if (allocation.isProcessing()) {
+				if (allocation.getRequestedResources() == null || allocation.getRequestedResources().size() > 0) {
 					ExecTask exec = (ExecTask) task;					
 					executeTask(exec, allocation.getRequestedResources());
@@ -217,6 +217,9 @@
 		Executable exec = (Executable)task;
 		boolean allocationStatus = getAllocationManager().allocateResources(choosenResources);
-		if(allocationStatus == false)
+		if(allocationStatus == false){
+			log.error("Task requires more resources than is availiable at this moment.");
 			return;
+		}
+
 		removeFromQueue(task);
 