Index: /DCWoRMS/trunk/example/workgen/conf1/WorkloadConfig.xml
===================================================================
--- /DCWoRMS/trunk/example/workgen/conf1/WorkloadConfig.xml	(revision 561)
+++ /DCWoRMS/trunk/example/workgen/conf1/WorkloadConfig.xml	(revision 561)
@@ -0,0 +1,32 @@
+<tns:WorkloadConfiguration 
+	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+ 
+  	<SimulationStartTime>2009-01-15T10:00:00</SimulationStartTime>
+ 
+	<JobCount avg="1000" distribution="constant"/>
+ 
+	<TaskCount avg="1" distribution="constant"/>
+ 
+	<TaskLength avg="14400" min="10800" max="18000" stdev="3600.0" distribution="normal"/>
+ 
+	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
+ 
+	<JobInterval avg="50" min="0" max="100" stdev="30" distribution="poisson" seed="21"/>
+	
+	<ComputingResourceHostParameter metric="cpucount">
+		<value id="cpucnt">
+	  		<MultiDistribution>
+      			<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">0.95</dist>
+     		 	<dist avg="4" min="4" max="4" stdev="0" distribution="uniform">0.05</dist>
+   			</MultiDistribution>
+   		</value>	
+	</ComputingResourceHostParameter>
+ 
+ 	<ComputingResourceHostParameter metric="memory">
+		<value id="memory" refElementId="cpucnt"  expr="x*1024"/>
+	</ComputingResourceHostParameter>
+	 
+</tns:WorkloadConfiguration>
+
+
Index: WoRMS/trunk/example/workgen/conf1/GeneratorConfig.xml
===================================================================
--- /DCWoRMS/trunk/example/workgen/conf1/GeneratorConfig.xml	(revision 523)
+++ 	(revision )
@@ -1,32 +1,0 @@
-<tns:WorkloadConfiguration 
-	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
- 
-  	<SimulationStartTime>2009-01-15T10:00:00</SimulationStartTime>
- 
-	<JobCount avg="1000" distribution="constant"/>
- 
-	<TaskCount avg="1" distribution="constant"/>
- 
-	<TaskLength avg="14400" min="10800" max="18000" stdev="3600.0" distribution="normal"/>
- 
-	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
- 
-	<JobInterval avg="50" min="0" max="100" stdev="30" distribution="poisson" seed="21"/>
-	
-	<ComputingResourceHostParameter metric="cpucount">
-		<value id="cpucnt">
-	  		<MultiDistribution>
-      			<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">0.95</dist>
-     		 	<dist avg="4" min="4" max="4" stdev="0" distribution="uniform">0.05</dist>
-   			</MultiDistribution>
-   		</value>	
-	</ComputingResourceHostParameter>
- 
- 	<ComputingResourceHostParameter metric="memory">
-		<value id="memory" refElementId="cpucnt"  expr="x*1024"/>
-	</ComputingResourceHostParameter>
-	 
-</tns:WorkloadConfiguration>
-
-
Index: /DCWoRMS/trunk/example/workgen/conf2/WorkloadConfig2.xml
===================================================================
--- /DCWoRMS/trunk/example/workgen/conf2/WorkloadConfig2.xml	(revision 561)
+++ /DCWoRMS/trunk/example/workgen/conf2/WorkloadConfig2.xml	(revision 561)
@@ -0,0 +1,34 @@
+<tns:WorkloadConfiguration 
+	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+ 
+  	<SimulationStartTime>2009-01-15T10:00:00</SimulationStartTime>
+ 
+	<JobCount avg="100" distribution="constant"/>
+ 
+	<TaskCount avg="1" distribution="constant"/>
+	
+	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
+	
+	<JobInterval avg="50" min="0" max="100" stdev="30" distribution="poisson" seed="21"/>
+ 
+ 	<TaskLength avg="14400" stdev="3600.0" distribution="normal">  		
+		<PeriodicValidValues avg="7200" stdev="1800" distribution="normal">
+     			<BeginValidTime>2009-01-15T11:00:00</BeginValidTime>
+     			<EndValidTime>2009-01-15T14:00:00</EndValidTime>
+   		</PeriodicValidValues>
+	</TaskLength>
+ 
+	<ComputingResourceHostParameter metric="cpucount">
+		<value id="cpucnt">
+	  		<MultiDistribution>
+      			<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">0.95</dist>
+     		 	<dist avg="4" min="4" max="4" stdev="0" distribution="uniform">0.05</dist>
+   			</MultiDistribution>
+   		</value>	
+	</ComputingResourceHostParameter>
+ 
+ 	<ComputingResourceHostParameter metric="memory">
+		<value id="memory" refElementId="cpucnt"  expr="x*1024"/>
+	</ComputingResourceHostParameter>
+</tns:WorkloadConfiguration>
Index: WoRMS/trunk/example/workgen/conf2/GeneratorConfig2.xml
===================================================================
--- /DCWoRMS/trunk/example/workgen/conf2/GeneratorConfig2.xml	(revision 523)
+++ 	(revision )
@@ -1,34 +1,0 @@
-<tns:WorkloadConfiguration 
-	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
- 
-  	<SimulationStartTime>2009-01-15T10:00:00</SimulationStartTime>
- 
-	<JobCount avg="100" distribution="constant"/>
- 
-	<TaskCount avg="1" distribution="constant"/>
-	
-	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
-	
-	<JobInterval avg="50" min="0" max="100" stdev="30" distribution="poisson" seed="21"/>
- 
- 	<TaskLength avg="14400" stdev="3600.0" distribution="normal">  		
-		<PeriodicValidValues avg="7200" stdev="1800" distribution="normal">
-     			<BeginValidTime>2009-01-15T11:00:00</BeginValidTime>
-     			<EndValidTime>2009-01-15T14:00:00</EndValidTime>
-   		</PeriodicValidValues>
-	</TaskLength>
- 
-	<ComputingResourceHostParameter metric="cpucount">
-		<value id="cpucnt">
-	  		<MultiDistribution>
-      			<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">0.95</dist>
-     		 	<dist avg="4" min="4" max="4" stdev="0" distribution="uniform">0.05</dist>
-   			</MultiDistribution>
-   		</value>	
-	</ComputingResourceHostParameter>
- 
- 	<ComputingResourceHostParameter metric="memory">
-		<value id="memory" refElementId="cpucnt"  expr="x*1024"/>
-	</ComputingResourceHostParameter>
-</tns:WorkloadConfiguration>
Index: /DCWoRMS/trunk/example/workgen/generator.properties
===================================================================
--- /DCWoRMS/trunk/example/workgen/generator.properties	(revision 548)
+++ /DCWoRMS/trunk/example/workgen/generator.properties	(revision 561)
@@ -1,4 +1,4 @@
 resdesc=example/workgen/resources.xml
-createscenario.tasksdesc=example/workgen/conf1/GeneratorConfig.xml
+createscenario.tasksdesc=example/workgen/conf1/WorkloadConfig.xml
 createscenario.outputfolder=example/workgen/workload
 createscenario.workloadfilename=workload.swf