Index: DCWoRMS/trunk/src/test/DEBBTranslator/src/DEBB2DCWoRMSTranslator.java
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/src/DEBB2DCWoRMSTranslator.java	(revision 558)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/src/DEBB2DCWoRMSTranslator.java	(revision 562)
@@ -37,12 +37,13 @@
 public class DEBB2DCWoRMSTranslator {
 
-	//	TODO:
-	//	1) Configuration file needed
-	//	2) Get rid of all nasty System.out - log4j instead
-	//	3)
-	
+	// TODO:
+	// 1) Configuration file needed
+	// 2) Get rid of all nasty System.out - log4j instead
+	// 3)
+
 	private static final String DEFAULT_OUTPUT_FILE_NAME = "xml/DCWORMS_TEST.xml";
-	private static final String DEFAULT_INPUT_FILE_NAME = "xml/PLMXML_HLRSSmallServerRoom.xml";
-//	private static final String DEFAULT_INPUT_FILE_NAME = "xml/PLMXML_HLRSRECSv2.xml";
+//	private static final String DEFAULT_INPUT_FILE_NAME = "xml/PLMXML_HLRSSmallServerRoom.xml";
+	 private static final String DEFAULT_INPUT_FILE_NAME =
+	 "xml/PLMXML_PSNCRECS.xml";
 	private static final String DEFAULT_DEBB_COMPONENT_FILE_NAME = "xml/DEBBComponents.xml";
 	private static DocumentBuilder xmlDocumentBuilder;
@@ -50,5 +51,5 @@
 
 	private static HashMap<String, String> computingResourceClasses = null;
-	
+
 	/**
 	 * 
@@ -101,14 +102,17 @@
 			Element rootElement = dcwormsDocument.createElement("environment");
 			dcwormsDocument.appendChild(rootElement);
-			Comment comment = dcwormsDocument.createComment("CoolEmAll testbed description");
+			Comment comment = dcwormsDocument
+					.createComment("CoolEmAll testbed description");
 			rootElement.appendChild(comment);
-			
+
 			// Creating resources element
-			Element resourcesElement = dcwormsDocument.createElement("resources");
+			Element resourcesElement = dcwormsDocument
+					.createElement("resources");
 			rootElement.appendChild(resourcesElement);
-			
+
 			// Creating (main) scheduler element
 			// TODO: Fill scheduler with reasonable data!
-			Element schedulerElement = dcwormsDocument.createElement("scheduler");
+			Element schedulerElement = dcwormsDocument
+					.createElement("scheduler");
 			comment = dcwormsDocument.createComment("Default scheduler");
 			schedulerElement.appendChild(comment);
@@ -150,7 +154,7 @@
 
 		xmlDocumentBuilder = domFactory.newDocumentBuilder();
-		
-		//	TODO: Check it this is correct!
-		//	TODO: Move it to configuration file
+
+		// TODO: Check it this is correct!
+		// TODO: Move it to configuration file
 		computingResourceClasses = new HashMap<String, String>();
 		computingResourceClasses.put("ComputeBox2", "ComputeBox2");
@@ -253,8 +257,18 @@
 		result = expr.evaluate(plmxmlDocument, XPathConstants.NODE);
 		Node productRevisionView = (Node) result;
-		debbName = productRevisionView.getAttributes().getNamedItem("name");
-		System.out.println("name=" + debbName.getNodeValue());
+//		debbName = productRevisionView.getAttributes().getNamedItem("name");
+//		System.out.println("name=" + debbName.getNodeValue());
 
 		// 3) UserValue (to extract DEBB name, level or DEBBComponent file)
+		// DEBBComponentId
+		expr = xpath
+				.compile("plm:UserData/plm:UserValue[@title='DEBBComponentId']/@value");
+		result = expr.evaluate(productRevisionView, XPathConstants.NODE);
+		Node debbComponentId = (Node) result;
+		if (debbComponentId != null) {
+			System.out.println("debbComponentId=" + debbComponentId.getNodeValue());
+		}
+
+		// DEBBLevel
 		expr = xpath
 				.compile("plm:UserData/plm:UserValue[@title='DEBBLevel']/@value");
@@ -264,11 +278,13 @@
 			System.out.println("debbLevel=" + debbLevel.getNodeValue());
 		}
-		expr = xpath.compile("plm:UserData/plm:UserValue[@title='DEBBComponentFile']/@value");
+		
+		// DEBBComponentFile
+		expr = xpath
+				.compile("plm:UserData/plm:UserValue[@title='DEBBComponentFile']/@value");
 		result = expr.evaluate(productRevisionView, XPathConstants.NODE);
-		Node debbComponentFileName = (Node)result;
+		Node debbComponentFileName = (Node) result;
 		if (debbComponentFileName == null) {
-			//	Default DEBBComponent file is assumed
-			
-			
+			// Default DEBBComponent file is assumed
+
 		}
 		System.out.println("debbComponentFileName=" + debbComponentFileName);
@@ -283,5 +299,6 @@
 			// TODO: how to translate DEBB level to class attribute?
 			Attr classAttribute = dcwormsDocument.createAttribute("class");
-			String dcwormsClass = computingResourceClasses.get(debbLevel.getNodeValue());
+			String dcwormsClass = computingResourceClasses.get(debbLevel
+					.getNodeValue());
 			classAttribute.setValue(dcwormsClass);
 			computingResourceElement.setAttributeNode(classAttribute);