Index: DCWoRMS/trunk/example/experiment2/experiment2.properties
===================================================================
--- DCWoRMS/trunk/example/experiment2/experiment2.properties	(revision 529)
+++ DCWoRMS/trunk/example/experiment2/experiment2.properties	(revision 563)
@@ -6,5 +6,5 @@
 # and swf file, which name is declared by readscenario.workloadfilename parameter.
 # Swf file must be placed in readscenario.inputfolder directory.  
-readscenario.workloadfilename=example/experiment2/workload.swf
+readscenario.workloadfilename=example/experiment2/workloadWithMemReq.swf
 
 # Choose directory where all result files should be placed.
Index: DCWoRMS/trunk/example/experiment2/workloadWithMemReq.swf
===================================================================
--- DCWoRMS/trunk/example/experiment2/workloadWithMemReq.swf	(revision 563)
+++ DCWoRMS/trunk/example/experiment2/workloadWithMemReq.swf	(revision 563)
@@ -0,0 +1,30 @@
+;Automatically generated workload description by the Grid Scheduling Simulator
+;		j|		s|		w|		r|		c|		c|		m|		p|		t|		m|		s|		u|		g|		e|		q|		p|		p|		t|
+;		o|		u|		a|		u|		p|		p|		e|		r|		i|		e|		t|		i|		i|		x|		u|		a|		r|		h|
+;		b|		b|		i|		n|		u|		u|		m|		o|		m|		m|		a|		d|		d|		e|		e|		r|		e|		i|
+;		 |		m|		t|		t|		 |		 |		 |		c|		e|		 |		t|		 |		 |		c|		u|		t|		c|		n|
+;		 |		i|		 |		i|		a|		t|		u|		 |		 |		r|		u|		 |		 |		u|		e|		i|		 |		k|
+;		 |		t|		 |		m|		l|		i|		s|		r|		r|		e|		s|		 |		 |		t|		 |		t|		j|		 |
+;		 |		 |		 |		e|		l|		m|		e|		e|		e|		q|		 |		 |		 |		a|		n|		i|		o|		t|
+;		 |		 |		 |		 |		o|		e|		d|		q|		q|		 |		 |		 |		 |		b|		r|		o|		b|		i|
+;		 |		 |		 |		 |		c|		 |		 |		 |		 |		 |		 |		 |		 |		l|		 |		n|		 |		m|
+;		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		e|		 |		 |		 |		e|
+;StartTime: Mon Nov 03 00:00:00 CET 2008
+;PUSpeed: 1
+
+
+		1			0			-1		7200	1		-1		16384		1		-1		16384		-1		-1		-1		1		1		1		-1		-1
+		2			0			-1		7200	1		-1		16384		1		-1		16384		-1		-1		-1		1		1		1		-1		-1
+		3			0			-1		7200	1		-1		16384		1		-1		16384		-1		-1		-1		1		1		1		-1		-1
+		4			0			-1		7200	1		-1		16384		1		-1		16384		-1		-1		-1		1		1		1		-1		-1
+ 		5			0			-1		7200	1		-1		16384		1		-1		16384		-1		-1		-1		1		1		1		-1		-1
+ 		6			0			-1		10800	1		-1		24576		1		-1		24576		-1		-1		-1		1		1		1		-1		-1
+; -----------
+		7			0			-1		14400	1		-1		32768		1		-1		32768		-1		-1		-1		1		1		1		-1		-1
+		8			0			-1		28800	1		-1		65536		1		-1		65536		-1		-1		-1		1		1		1		-1		-1
+		9			3600		-1		7200	1		-1		16384		1		-1		16384		-1		-1		-1		1		1		1		-1		-1
+		10			21600		-1		21600	1		-1		49152		1		-1		49152		-1		-1		-1		1		1		1		-1		-1
+ 		11			25200		-1		25200	1		-1		57344		1		-1		57344		-1		-1		-1		1		1		1		-1		-1
+ 		12			39600		-1		14400	1		-1		32768		1		-1		32768		-1		-1		-1		1		1		1		-1		-1
+  		13			46800		-1		10800	1		-1		24576		1		-1		24576		-1		-1		-1		1		1		1		-1		-1
+ 		
Index: DCWoRMS/trunk/example/experiment2/workload.swf
===================================================================
--- DCWoRMS/trunk/example/experiment2/workload.swf	(revision 477)
+++ 	(revision )
@@ -1,30 +1,0 @@
-;Automatically generated workload description by the Grid Scheduling Simulator
-;		j|		s|		w|		r|		c|		c|		m|		p|		t|		m|		s|		u|		g|		e|		q|		p|		p|		t|
-;		o|		u|		a|		u|		p|		p|		e|		r|		i|		e|		t|		i|		i|		x|		u|		a|		r|		h|
-;		b|		b|		i|		n|		u|		u|		m|		o|		m|		m|		a|		d|		d|		e|		e|		r|		e|		i|
-;		 |		m|		t|		t|		 |		 |		 |		c|		e|		 |		t|		 |		 |		c|		u|		t|		c|		n|
-;		 |		i|		 |		i|		a|		t|		u|		 |		 |		r|		u|		 |		 |		u|		e|		i|		 |		k|
-;		 |		t|		 |		m|		l|		i|		s|		r|		r|		e|		s|		 |		 |		t|		 |		t|		j|		 |
-;		 |		 |		 |		e|		l|		m|		e|		e|		e|		q|		 |		 |		 |		a|		n|		i|		o|		t|
-;		 |		 |		 |		 |		o|		e|		d|		q|		q|		 |		 |		 |		 |		b|		r|		o|		b|		i|
-;		 |		 |		 |		 |		c|		 |		 |		 |		 |		 |		 |		 |		 |		l|		 |		n|		 |		m|
-;		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		e|		 |		 |		 |		e|
-;StartTime: Mon Nov 03 00:00:00 CET 2008
-;PUSpeed: 1
-
-
-		1			0			-1		7200	1		-1		16384		1		-1		16384		-1		-1		-1		1		1		1		-1		-1
-		2			0			-1		7200	1		-1		16384		1		-1		16384		-1		-1		-1		1		1		1		-1		-1
-		3			0			-1		7200	1		-1		16384		1		-1		16384		-1		-1		-1		1		1		1		-1		-1
-		4			0			-1		7200	1		-1		16384		1		-1		16384		-1		-1		-1		1		1		1		-1		-1
- 		5			0			-1		7200	1		-1		16384		1		-1		16384		-1		-1		-1		1		1		1		-1		-1
- 		6			0			-1		10800	1		-1		24576		1		-1		24576		-1		-1		-1		1		1		1		-1		-1
-; -----------
-		7			0			-1		14400	1		-1		32768		1		-1		32768		-1		-1		-1		1		1		1		-1		-1
-		8			0			-1		28800	1		-1		65536		1		-1		65536		-1		-1		-1		1		1		1		-1		-1
-		9			3600		-1		7200	1		-1		16384		1		-1		16384		-1		-1		-1		1		1		1		-1		-1
-		10			21600		-1		21600	1		-1		49152		1		-1		49152		-1		-1		-1		1		1		1		-1		-1
- 		11			25200		-1		25200	1		-1		57344		1		-1		57344		-1		-1		-1		1		1		1		-1		-1
- 		12			39600		-1		14400	1		-1		32768		1		-1		32768		-1		-1		-1		1		1		1		-1		-1
-  		13			46800		-1		10800	1		-1		24576		1		-1		24576		-1		-1		-1		1		1		1		-1		-1
- 		