Index: /DCWoRMS/trunk/src/test/DEBBTranslator/src/DEBB2DCWoRMSTranslator.java
===================================================================
--- /DCWoRMS/trunk/src/test/DEBBTranslator/src/DEBB2DCWoRMSTranslator.java	(revision 565)
+++ /DCWoRMS/trunk/src/test/DEBBTranslator/src/DEBB2DCWoRMSTranslator.java	(revision 566)
@@ -43,4 +43,5 @@
 
 	private static final String DEFAULT_OUTPUT_FILE_NAME = "xml/DCWORMS_TEST.xml";
+//	private static final String DEFAULT_INPUT_FILE_NAME = "xml/PLMXML_PSNCRECS.xml";
 	private static final String DEFAULT_INPUT_FILE_NAME = "xml/PLMXML_HLRSSmallServerRoom.xml";
 	private static DocumentBuilder xmlDocumentBuilder;
@@ -330,30 +331,51 @@
 			computingResourceElement.setAttributeNode(classAttribute);
 
-			if (debbHostName != null) {
-				// TODO: Where to use this hostname information?
-				Comment comment = dcwormsDocument.createComment("Host name "
-						+ debbHostName.getNodeValue());
-				computingResourceElement.appendChild(comment);
+			if (debbHostName != null) {				
+				Element parameterElement =dcwormsDocument.createElement("parameter");
+				Attr parameterNameAttribute = dcwormsDocument.createAttribute("name");
+				parameterNameAttribute.setValue("hostname");
+				parameterElement.setAttributeNode(parameterNameAttribute);
+				Element valueElement = dcwormsDocument.createElement("value");
+				valueElement.appendChild(dcwormsDocument.createTextNode(debbHostName.getNodeValue()));
+				parameterElement.appendChild(valueElement);
+				computingResourceElement.appendChild(parameterElement);
 			}
 
 			if (debbSequence != null) {
 				// TODO: Sequence is described unclearly in the deliverable, not
-				// used in any example. Where to use this information if it
-				// appears?
+				// used in any example. Not sure what to do with it.
+				Element parameterElement =dcwormsDocument.createElement("parameter");
+				Attr parameterNameAttribute = dcwormsDocument.createAttribute("name");
+				parameterNameAttribute.setValue("sequence");
+				parameterElement.setAttributeNode(parameterNameAttribute);
+				Element valueElement = dcwormsDocument.createElement("value");
+				valueElement.appendChild(dcwormsDocument.createTextNode(debbSequence.getNodeValue()));
+				parameterElement.appendChild(valueElement);
+				computingResourceElement.appendChild(parameterElement);				
 			}
 			debbParentElement.appendChild(computingResourceElement);
 
-			if (debbLabel != null) {
-				// TODO: Where to use this label information?
-				Comment comment = dcwormsDocument.createComment("Label "
-						+ debbLabel.getNodeValue());
-				computingResourceElement.appendChild(comment);
+			if (debbLabel != null) {				
+				Element parameterElement =dcwormsDocument.createElement("parameter");
+				Attr parameterNameAttribute = dcwormsDocument.createAttribute("name");
+				parameterNameAttribute.setValue("label");
+				parameterElement.setAttributeNode(parameterNameAttribute);
+				Element valueElement = dcwormsDocument.createElement("value");
+				valueElement.appendChild(dcwormsDocument.createTextNode(debbLabel.getNodeValue()));
+				parameterElement.appendChild(valueElement);
+				computingResourceElement.appendChild(parameterElement);
+				
 			}
 
 			if (debbLocation != null) {
-				// TODO: Where to use this location information?
-				Comment comment = dcwormsDocument.createComment("Location "
-						+ debbLocation.getNodeValue());
-				computingResourceElement.appendChild(comment);
+				Element parameterElement =dcwormsDocument.createElement("parameter");
+				Attr parameterNameAttribute = dcwormsDocument.createAttribute("name");
+				parameterNameAttribute.setValue("location");
+				parameterElement.setAttributeNode(parameterNameAttribute);
+				Element valueElement = dcwormsDocument.createElement("value");
+				valueElement.appendChild(dcwormsDocument.createTextNode(debbLocation.getNodeValue()));
+				parameterElement.appendChild(valueElement);
+				computingResourceElement.appendChild(parameterElement);
+				
 			}
 			