Index: /DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXML_HLRSSmallServerRoom.xml
===================================================================
--- /DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXML_HLRSSmallServerRoom.xml	(revision 557)
+++ /DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXML_HLRSSmallServerRoom.xml	(revision 577)
@@ -1,14 +1,9 @@
 <?xml version="1.0" encoding="utf-8"?>
 <!-- Edited for validating plmxml schema -->
-
-
 <PLMXML xmlns="http://www.plmxml.org/Schemas/PLMXMLSchema"
 	xmlns:vis="PLMXMLTcVisSchema" schemaVersion="6" date="2012-07-16" time="11:30:47"
 	author="HLRS 0.1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 	xsi:schemaLocation="http://www.plmxml.org/Schemas/PLMXMLSchema PLMXMLSchema.xsd">
-	
-
-	
-	
+
 <!-- Original 
 <PLMXML xmlns="http://www.plmxml.org/Schemas/PLMXMLSchema"
@@ -24,5 +19,5 @@
 				<UserData id="id1_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="DefRack01" title="DEBBComponent"></UserValue>
+					<UserValue value="DefRack01" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1001" format="VRML" location=".\objects\01.WRL"></Representation>
@@ -37,5 +32,5 @@
 				<UserData id="id2_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="NECWaterCooledRack" title="DEBBComponent"></UserValue>
+					<UserValue value="NECWaterCooledRack" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1002" format="VRML" location=".\objects\02.WRL"></Representation>
@@ -54,5 +49,5 @@
 				<UserData id="id3_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="DefRack02" title="DEBBComponent"></UserValue>
+					<UserValue value="DefRack02" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1003" format="VRML" location=".\objects\03.WRL"></Representation>
@@ -67,5 +62,5 @@
 				<UserData id="id5_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="RackNECWC" title="DEBBComponent"></UserValue>
+					<UserValue value="RackNECWC" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<!--Representation id="id100" format="STL" location=".\RackNECWC.stl"></Representation -->
@@ -91,5 +86,5 @@
 				<UserData id="id09_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="Rack09" title="DEBBComponent"></UserValue>
+					<UserValue value="Rack09" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1009" format="VRML" location=".\objects\09.WRL"></Representation>
@@ -104,5 +99,5 @@
 				<UserData id="id10_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="Rack10" title="DEBBComponent"></UserValue>
+					<UserValue value="Rack10" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1010" format="VRML" location=".\objects\10.WRL"></Representation>
@@ -117,5 +112,5 @@
 				<UserData id="id12_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="Rack12" title="DEBBComponent"></UserValue>
+					<UserValue value="Rack12" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1012" format="VRML" location=".\objects\12.WRL"></Representation>
@@ -130,5 +125,5 @@
 				<UserData id="id13_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="Rack13" title="DEBBComponent"></UserValue>
+					<UserValue value="Rack13" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1013" format="VRML" location=".\objects\13.WRL"></Representation>
@@ -165,5 +160,5 @@
 				<UserData id="id15_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="Rack15" title="DEBBComponent"></UserValue>
+					<UserValue value="Rack15" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1015" format="VRML" location=".\objects\15.WRL"></Representation>
@@ -178,5 +173,5 @@
 				<UserData id="id16_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="Rack16" title="DEBBComponent"></UserValue>
+					<UserValue value="Rack16" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1016" format="VRML" location=".\objects\16.WRL"></Representation>
@@ -191,5 +186,5 @@
 				<UserData id="id17_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="Rack17" title="DEBBComponent"></UserValue>
+					<UserValue value="Rack17" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1017" format="VRML" location=".\objects\17.WRL"></Representation>
@@ -217,5 +212,5 @@
 				<UserData id="id22_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="Rack22" title="DEBBComponent"></UserValue>
+					<UserValue value="Rack22" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1022" format="VRML" location=".\objects\22.WRL"></Representation>
@@ -230,5 +225,5 @@
 				<UserData id="id23_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="Rack23" title="DEBBComponent"></UserValue>
+					<UserValue value="Rack23" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1023" format="VRML" location=".\objects\23.WRL"></Representation>
@@ -243,5 +238,5 @@
 				<UserData id="id26_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="Rack26" title="DEBBComponent"></UserValue>
+					<UserValue value="Rack26" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1026" format="VRML" location=".\objects\26.WRL"></Representation>
@@ -256,5 +251,5 @@
 				<UserData id="id29_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="Rack29" title="DEBBComponent"></UserValue>
+					<UserValue value="Rack29" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1029" format="VRML" location=".\objects\29.WRL"></Representation>
@@ -291,5 +286,5 @@
 				<UserData id="id39_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="Rack39" title="DEBBComponent"></UserValue>
+					<UserValue value="Rack39" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1039" format="VRML" location=".\objects\39.WRL"></Representation>
@@ -304,5 +299,5 @@
 				<UserData id="id40_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="Rack40" title="DEBBComponent"></UserValue>
+					<UserValue value="Rack40" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1040" format="VRML" location=".\objects\40.WRL"></Representation>
@@ -324,5 +319,5 @@
 				<UserData id="id43_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="Rack43" title="DEBBComponent"></UserValue>
+					<UserValue value="Rack43" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1043" format="VRML" location=".\objects\43.WRL"></Representation>
@@ -337,5 +332,5 @@
 				<UserData id="id44_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="Rack44" title="DEBBComponent"></UserValue>
+					<UserValue value="Rack44" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1044" format="VRML" location=".\objects\44.WRL"></Representation>
@@ -350,5 +345,5 @@
 				<UserData id="id45_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="DefRack45" title="DEBBComponent"></UserValue>
+					<UserValue value="DefRack45" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1045" format="VRML" location=".\objects\45.WRL"></Representation>
@@ -363,5 +358,5 @@
 				<UserData id="id46_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="DefRack46" title="DEBBComponent"></UserValue>
+					<UserValue value="DefRack46" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1046" format="VRML" location=".\objects\46.WRL"></Representation>
@@ -376,5 +371,5 @@
 				<UserData id="id47_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="DefRack47" title="DEBBComponent"></UserValue>
+					<UserValue value="DefRack47" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1047" format="VRML" location=".\objects\47.WRL"></Representation>
@@ -389,5 +384,5 @@
 				<UserData id="id48_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="DefRack48" title="DEBBComponent"></UserValue>
+					<UserValue value="DefRack48" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1048" format="VRML" location=".\objects\48.WRL"></Representation>
@@ -402,5 +397,5 @@
 				<UserData id="id49_0">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="DefRack49" title="DEBBComponent"></UserValue>
+					<UserValue value="DefRack49" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1049" format="VRML" location=".\objects\49.WRL"></Representation>
@@ -419,5 +414,5 @@
 				<UserData id="id51_2">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="DefRack51" title="DEBBComponent"></UserValue>
+					<UserValue value="DefRack51" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1051" format="VRML" location=".\objects\51.WRL"></Representation>
@@ -432,5 +427,5 @@
 				<UserData id="id70_2">
 					<UserValue value="Node" title="DEBBLevel"></UserValue>
-					<UserValue value="DefRack70" title="DEBBComponent"></UserValue>
+					<UserValue value="DefRack70" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1070" format="VRML"
@@ -793,5 +788,5 @@
 				<UserData id="id11_1">
 					<UserValue value="ComputeBox1" title="DEBBLevel"></UserValue>
-					<UserValue value="gamesRack" title="DEBBComponent"></UserValue>
+					<UserValue value="gamesRack" title="DEBBComponentId"></UserValue>
 				</UserData>
 				<Representation id="id1011" format="VRML"