Index: /DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl
===================================================================
--- /DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl	(revision 596)
+++ /DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl	(revision 597)
@@ -23,4 +23,13 @@
 				<xsl:value-of select="ComponentId" />
 			</xsl:attribute>
+			<xsl:if test="Memory">
+				<xsl:apply-templates select="Memory" />
+			</xsl:if>
+			<xsl:if test="Storage">
+				<xsl:apply-templates select="Storage" />
+			</xsl:if>
+			<xsl:if test="CoolingDevice">
+				<xsl:apply-templates select="CoolingDevice" />
+			</xsl:if>
 			<xsl:call-template name="BasicDEBBPhysicalElementData" />
 			<xsl:if test="Baseboard">
@@ -30,13 +39,4 @@
 				<xsl:apply-templates select="Processor" />
 			</xsl:if>
-			<xsl:if test="Memory">
-				<xsl:apply-templates select="Memory" />
-			</xsl:if>
-			<xsl:if test="Storage">
-				<xsl:apply-templates select="Storage" />
-			</xsl:if>
-			<xsl:if test="CoolingDevice">
-				<xsl:apply-templates select="CoolingDevice" />
-			</xsl:if>
 		</xsl:element>
 	</xsl:template>
@@ -44,5 +44,5 @@
 	<xsl:template match="Baseboard">
 		<xsl:element name="parameter">
-			<xsl:attribute name="class">Baseboard</xsl:attribute>
+			<xsl:attribute name="name">Baseboard</xsl:attribute>
 			<!-- Don't call BasicDEBBPhysicalElementData, because parameter cannot 
 				contain parameters. Must be parameter containing properties. -->
@@ -134,5 +134,4 @@
 				</xsl:element>
 			</xsl:element>
-
 		</xsl:element>
 	</xsl:template>
@@ -141,8 +140,8 @@
 		<xsl:element name="resourceUnit">
 			<xsl:attribute name="class">Memory</xsl:attribute>
-			<xsl:call-template name="BasicDEBBPhysicalElementData" />
 			<xsl:element name="amount">
 				<xsl:value-of select="Capacity" />
 			</xsl:element>
+			<xsl:call-template name="BasicDEBBPhysicalElementData" />
 		</xsl:element>
 	</xsl:template>
@@ -162,46 +161,48 @@
 	<xsl:template match="CoolingDevice">
 		<!-- TODO: Not finished -->
-		<xsl:element name="airThroughputProfile">
-			<!-- <xsl:attribute name="name">CoolingDevice</xsl:attribute> -->
-			<!-- Obligatory attribute -->
-			<xsl:element name="parameter">
-				<xsl:attribute name="name">Class</xsl:attribute>
-				<xsl:element name="value">
-					<xsl:value-of select="Class" />
-				</xsl:element>
-			</xsl:element>
-			<xsl:if test="MaxCoolingCapacity">
+		<xsl:element name="profile">
+			<xsl:element name="airThroughputProfile">
+				<!-- <xsl:attribute name="name">CoolingDevice</xsl:attribute> -->
+				<!-- TODO: What to take it from?? -->
+<!--				<xsl:element name="airThroughputEstimationPlugin">-->
+<!--				</xsl:element>				-->
+				<xsl:if test="ThroughputProfile">
+					<xsl:element name="airThroughputStates">
+						<xsl:apply-templates select="ThroughputProfile" />
+					</xsl:element>
+				</xsl:if>
+				<!-- Obligatory attribute -->
 				<xsl:element name="parameter">
-					<xsl:attribute name="name">MaxCoolingCapacity</xsl:attribute>
-					<xsl:element name="value">
-						<xsl:value-of select="MaxCoolingCapacity" />
-					</xsl:element>
-				</xsl:element>
-			</xsl:if>
-			<xsl:if test="MaxAirThroughput">
-				<xsl:element name="parameter">
-					<xsl:attribute name="name">MaxAirThroughput</xsl:attribute>
-					<xsl:element name="value">
-						<xsl:value-of select="MaxAirThroughput" />
-					</xsl:element>
-				</xsl:element>
-			</xsl:if>
-			<xsl:if test="MaxWaterThroughput">
-				<xsl:element name="parameter">
-					<xsl:attribute name="name">MaxWaterThroughput</xsl:attribute>
-					<xsl:element name="value">
-						<xsl:value-of select="MaxWaterThroughput" />
-					</xsl:element>
-				</xsl:element>
-			</xsl:if>
-			<xsl:if test="ThroughputProfile">
-				<xsl:element name="airThroughputStates">
-					<xsl:apply-templates select="ThroughputProfile" />
-				</xsl:element>
-			</xsl:if>
-			<!-- TODO: What to take it from?? -->
-			<xsl:element name="airThroughputEstimationPlugin">
-			</xsl:element>
-			<xsl:call-template name="BasicDEBBPhysicalElementData" />
+					<xsl:attribute name="name">Class</xsl:attribute>
+					<xsl:element name="value">
+						<xsl:value-of select="Class" />
+					</xsl:element>
+				</xsl:element>
+				<xsl:if test="MaxCoolingCapacity">
+					<xsl:element name="parameter">
+						<xsl:attribute name="name">MaxCoolingCapacity</xsl:attribute>
+						<xsl:element name="value">
+							<xsl:value-of select="MaxCoolingCapacity" />
+						</xsl:element>
+					</xsl:element>
+				</xsl:if>
+				<xsl:if test="MaxAirThroughput">
+					<xsl:element name="parameter">
+						<xsl:attribute name="name">MaxAirThroughput</xsl:attribute>
+						<xsl:element name="value">
+							<xsl:value-of select="MaxAirThroughput" />
+						</xsl:element>
+					</xsl:element>
+				</xsl:if>
+				<xsl:if test="MaxWaterThroughput">
+					<xsl:element name="parameter">
+						<xsl:attribute name="name">MaxWaterThroughput</xsl:attribute>
+						<xsl:element name="value">
+							<xsl:value-of select="MaxWaterThroughput" />
+						</xsl:element>
+					</xsl:element>
+				</xsl:if>				
+				<xsl:call-template name="BasicDEBBPhysicalElementData" />
+			</xsl:element>
 		</xsl:element>
 	</xsl:template>
@@ -222,5 +223,5 @@
 			</xsl:if>
 			<xsl:if test="PowerUsage">
-				<xsl:element name="value">
+				<xsl:element name="powerUsage">
 					<xsl:value-of select="PowerUsage" />
 				</xsl:element>