Index: DCWoRMS/trunk/simulator/schemas/resources/example/example1.xml
===================================================================
--- DCWoRMS/trunk/simulator/schemas/resources/example/example1.xml	(revision 477)
+++ DCWoRMS/trunk/simulator/schemas/resources/example/example1.xml	(revision 604)
@@ -1,4 +1,4 @@
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../XSSimResSchema.xsd">
+	xsi:noNamespaceSchemaLocation="../DCWoRMSResSchema.xsd">
 	
 	<!-- Analogiczny opis zasobow jak do tej pory, dla srodowiska gridowego -->
Index: DCWoRMS/trunk/simulator/schemas/resources/example/tomExp.xml
===================================================================
--- DCWoRMS/trunk/simulator/schemas/resources/example/tomExp.xml	(revision 477)
+++ DCWoRMS/trunk/simulator/schemas/resources/example/tomExp.xml	(revision 604)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../XSSimResSchema.xsd">
+	xsi:noNamespaceSchemaLocation="../DCWoRMSResSchema.xsd">
 	
 	<!-- Opis dla data center z uwzglednieniem aspektow energetycznych -->
Index: DCWoRMS/trunk/simulator/schemas/resources/example/example2.xml
===================================================================
--- DCWoRMS/trunk/simulator/schemas/resources/example/example2.xml	(revision 477)
+++ DCWoRMS/trunk/simulator/schemas/resources/example/example2.xml	(revision 604)
@@ -1,4 +1,4 @@
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../XSSimResSchema.xsd">
+	xsi:noNamespaceSchemaLocation="../DCWoRMSResSchema.xsd">
 	
 	<!-- Opis zasobow dla srodowiska gridowego -->
Index: DCWoRMS/trunk/simulator/schemas/resources/example/example3.xml
===================================================================
--- DCWoRMS/trunk/simulator/schemas/resources/example/example3.xml	(revision 477)
+++ DCWoRMS/trunk/simulator/schemas/resources/example/example3.xml	(revision 604)
@@ -1,4 +1,4 @@
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../XSSimResSchema.xsd">
+	xsi:noNamespaceSchemaLocation="../DCWoRMSResSchema.xsd">
 	
 	<!-- Opis zasobow dla srodowiska gridowego -->
Index: DCWoRMS/trunk/simulator/schemas/resources/example/tomExp2.xml
===================================================================
--- DCWoRMS/trunk/simulator/schemas/resources/example/tomExp2.xml	(revision 477)
+++ DCWoRMS/trunk/simulator/schemas/resources/example/tomExp2.xml	(revision 604)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../XSSimResSchema.xsd">
+	xsi:noNamespaceSchemaLocation="../DCWoRMSResSchema.xsd">
 	
 	<!-- Opis dla data center z uwzglednieniem aspektow energetycznych -->
Index: DCWoRMS/trunk/simulator/schemas/resources/example/example4.xml
===================================================================
--- DCWoRMS/trunk/simulator/schemas/resources/example/example4.xml	(revision 477)
+++ DCWoRMS/trunk/simulator/schemas/resources/example/example4.xml	(revision 604)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../XSSimResSchema.xsd">
+	xsi:noNamespaceSchemaLocation="../DCWoRMSResSchema.xsd">
 	
 	<!-- Opis dla data center z podstawowa charakterystyka zasobow -->
Index: DCWoRMS/trunk/simulator/schemas/resources/example/tomExp3.xml
===================================================================
--- DCWoRMS/trunk/simulator/schemas/resources/example/tomExp3.xml	(revision 477)
+++ DCWoRMS/trunk/simulator/schemas/resources/example/tomExp3.xml	(revision 604)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../XSSimResSchema.xsd">
+	xsi:noNamespaceSchemaLocation="../DCWoRMSResSchema.xsd">
 	
 	<!-- Opis dla data center z uwzglednieniem aspektow energetycznych -->
Index: DCWoRMS/trunk/simulator/schemas/resources/example/example5.xml
===================================================================
--- DCWoRMS/trunk/simulator/schemas/resources/example/example5.xml	(revision 477)
+++ DCWoRMS/trunk/simulator/schemas/resources/example/example5.xml	(revision 604)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../XSSimResSchema.xsd">
+	xsi:noNamespaceSchemaLocation="../DCWoRMSResSchema.xsd">
 	
 	<!-- Opis dla data center z uwzglednieniem aspektow energetycznych -->
Index: DCWoRMS/trunk/simulator/schemas/resources/example/example6.xml
===================================================================
--- DCWoRMS/trunk/simulator/schemas/resources/example/example6.xml	(revision 477)
+++ DCWoRMS/trunk/simulator/schemas/resources/example/example6.xml	(revision 604)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../XSSimResSchema.xsd">
+	xsi:noNamespaceSchemaLocation="../DCWoRMSResSchema.xsd">
 	
 	<!-- Opis dla data center z uwzglednieniem rozmieszczenia zasobow -->
Index: DCWoRMS/trunk/simulator/schemas/resources/example/example7.xml
===================================================================
--- DCWoRMS/trunk/simulator/schemas/resources/example/example7.xml	(revision 477)
+++ DCWoRMS/trunk/simulator/schemas/resources/example/example7.xml	(revision 604)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../XSSimResSchema.xsd">
+	xsi:noNamespaceSchemaLocation="../DCWoRMSResSchema.xsd">
 	
 	<timeEstimationPlugin>